package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.AttendanceTime;

/**
 * 考勤时间设置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-06-25
 */
public interface AttendanceTimeMapper 
{
    /**
     * 查询考勤时间设置
     * 
     * @param id 考勤时间设置主键
     * @return 考勤时间设置
     */
    public AttendanceTime selectAttendanceTimeById(Long id);

    /**
     * 查询考勤时间设置列表
     * 
     * @param attendanceTime 考勤时间设置
     * @return 考勤时间设置集合
     */
    public List<AttendanceTime> selectAttendanceTimeList(AttendanceTime attendanceTime);

    /**
     * 新增考勤时间设置
     * 
     * @param attendanceTime 考勤时间设置
     * @return 结果
     */
    public int insertAttendanceTime(AttendanceTime attendanceTime);

    /**
     * 修改考勤时间设置
     * 
     * @param attendanceTime 考勤时间设置
     * @return 结果
     */
    public int updateAttendanceTime(AttendanceTime attendanceTime);

    /**
     * 删除考勤时间设置
     * 
     * @param id 考勤时间设置主键
     * @return 结果
     */
    public int deleteAttendanceTimeById(Long id);

    /**
     * 批量删除考勤时间设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAttendanceTimeByIds(Long[] ids);
}
